NotifierResource
Keywords: org.gcube.informationsystem.notifier.impl.NotifierResource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.impl
Class NotifierResource

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
          org.gcube.common.core.state.GCUBEStatefulResource<org.gcube.common.core.state.GCUBEWSResourceKey>
              org.gcube.common.core.state.GCUBEWSResource
                  org.gcube.informationsystem.notifier.impl.NotifierResource

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEServiceClient, org.globus.wsrf.PersistenceCallback, org.globus.wsrf.Resource, org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties, org.globus.wsrf.TopicListAccessor

    public class NotifierResource

extends org.gcube.common.core.state.GCUBEWSResource

It implements NotifierResource. it follows the singleton pattern

Author:
  Andrea Manzi (ISTI-CNR)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`org.gcube.common.core.state.GCUBEStatefulResource.LOCK, org.gcube.common.core.state.GCUBEStatefulResource.TaskContext`

Constructor Summary
`NotifierResource()`

Method Summary
`void` | `addTopicMapping(TopicMapping<Producer,EPR,RegistrationEventHandlerImpl> topicMapping)`
`java.util.List<java.lang.String>` | `getListTopic()`
`TopicMapping<Producer,EPR,RegistrationEventHandlerImpl>` | `getTopicMappingByQName(javax.xml.namespace.QName topic)`
`java.util.Hashtable<java.lang.String,TopicMapping<Producer,EPR,RegistrationEventHandlerImpl>>` | `getTopicMappingList()`
`void` | `initialise(java.lang.Object... o)`
`boolean` | `isTopicPresent(javax.xml.namespace.QName topic)` Controls if the topic mapping contains the given topic
`void` | `setTopicMappingList(java.util.Hashtable<java.lang.String,TopicMapping<Producer,EPR,RegistrationEventHandlerImpl>> listTopicMapping)`

Methods inherited from class org.gcube.common.core.state.GCUBEWSResource
`getCurrentTime, getEPR, getPorttypeContext, getResourcePropertySet, getServiceContext, getTerminationTime, getTopicList, inScope, load, publish, setPortTypeContext, setTerminationTime, unpublish`

Methods inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`getID, getLock, getScheduledTasks, getScope, launchTask, setID, setPersistenceDelegate, stopTask, store`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
`getPortTypeMap, setPortTypeMap`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.globus.wsrf.PersistenceCallback
`store`

Constructor Detail

### NotifierResource

    public NotifierResource()

Method Detail

### initialise

    public void initialise(java.lang.Object... o)
                    throws org.globus.wsrf.ResourceException

  Specified by:
    `initialise` in class `org.gcube.common.core.state.GCUBEWSResource`
  Throws:
    `org.globus.wsrf.ResourceException`

### getTopicMappingByQName

    public TopicMapping<Producer,EPR,RegistrationEventHandlerImpl> getTopicMappingByQName(javax.xml.namespace.QName topic)
                                                                                   throws java.lang.Exception

  Returns:
  Throws:
    `java.lang.Exception`

### getTopicMappingList

    public java.util.Hashtable<java.lang.String,TopicMapping<Producer,EPR,RegistrationEventHandlerImpl>> getTopicMappingList()

### setTopicMappingList

    public void setTopicMappingList(java.util.Hashtable<java.lang.String,TopicMapping<Producer,EPR,RegistrationEventHandlerImpl>> listTopicMapping)

  Parameters:
    `hashMapSubscribers` -

### isTopicPresent

    public boolean isTopicPresent(javax.xml.namespace.QName topic)

  Controls if the topic mapping contains the given topic

  Parameters:
    `topic` - the topic to check
  Returns:
    true if the topic is present

### addTopicMapping

    public void addTopicMapping(TopicMapping<Producer,EPR,RegistrationEventHandlerImpl> topicMapping)

### getListTopic

    public java.util.List<java.lang.String> getListTopic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD